Firefox-Embedded Selector 1.0 Installation

From Eclipsepedia

Jump to: navigation, search
Higgins logo 76Wx100H.jpg

1. Start Firefox 1.5.0.12 (and probably other versions of 1.5) or 2.0.0.7 (and probably other versions of 2.0)

  • You can download 2.0.0.20 here, not sure where to get 1.5 these days
  • This extension is NOT compatible with Firefox 3 --you will get this error: "Incompatible Extension: "Higgins" will not be installed because it does not provide secure updates"

2. If you have a previous version of the Higgins add-on installed you should:

  • Uninstall Higgins add-on (Firefox > Tools > Add ons > select Higgins, uninstall...)
  • Restart Firefox (this will delete the variables and uninstall the add-on)
  • Manually "reset" all higgins.* variables if they exist. For versions earlier than v.0.9.0.7.2, please follow the next step. For newer versions there is no need to take the following action:
    • Type "about:config" in Firefox, press enter, type higgins in the filter area, right click on each bold item, and choose "reset".

3. From within Firefox, click Download Higgins XPI and wait for the "Opening higgins.xpi" dialog:

SaveHBX.png

Save it on your hard drive. After that you can open it from Firefox (File > Open File... > higgins.xpi) or drag and drop higgins.xpi on top of any Firefox browser window.

  • Warning 1: We are not allowed to add Javascript to Eclipse pages, so this download process is buggier than it would be on any REAL download page
  • Warning 2: If you have Winzip installed, you may not see the above dialog box. Instead you may only see the option to download a .zip file (higgins.zip). If so download this file and manually rename it to higgins.xpi.
  • Warning 3: If Firefox tells you that the extension "will not be installed because it does not provide secure updates", do the following:
    1. Enter "about:config" in the Firefox address bar
    2. Right-click -> New -> Boolean
    3. Preference name: "extensions.checkUpdateSecurity", Preference value: false
    4. Try installing the extension again
  • Warning 4: If Firefox tells you that the extension "could not be installed because it is not compatible with Firefox version XXX", do the following:
    1. Enter "about:config" in the Firefox address bar
    2. Right-click -> New -> Boolean
    3. Preference name: "extensions.checkCompatibility", Preference value: false
    4. Try installing the extension again

4. When you install add-on you should see standard dialog:

Hbx 1v3.png

5. Click on "Install Now".

Hbx 3v1.png

6. Restart Firefox. Remember to close ALL of your Firefox windows if you have more than one. Firefox 2.x and beyond will restore whatever open tabs you had in your session.

7. When Firefox restarts, the Higgins Setup Wizard will appear.

Hbx 4v1.png

8. Follow the instructions in the wizard:

  • On the "Welcome to the Startup wizard" page, click Next
  • Follow the instructions...

9. You will now see the Higgins add-on included in with your other add-ons in the Add-ons list (Tools > Add-ons):

Hbx 2v1.png

Note: At any time you can click "Find Updates" to see if there is a newer version of the Higgins add-on.

10. Clicking on the mouse icon/button will bring you to the I-Card manager.

See Also